ST_ScaleX
Prev | 12.4. Raster Accessors | Next

## Name

ST_ScaleX — Returns the X component of the pixel width in units of coordinate reference system.

## Synopsis

`float8 ST_ScaleX(`raster rast`)`;

## Description

Returns the X component of the pixel width in units of coordinate reference system. Refer to World File for more details.

Changed: 2.0.0. In WKTRaster versions this was called ST_PixelSizeX.

## Examples

    SELECT rid, ST_ScaleX(rast) As rastpixwidth
    FROM dummy_rast;

     rid | rastpixwidth
    -----+--------------
       1 |            2
       2 |         0.05

## See Also

ST_Width

Prev | Up | Next
ST_PixelWidth | Home | ST_ScaleY